echo off
echo ****************************************
echo * Updating from                        *
echo * Floppy Drive %1:                      *
echo * to Hard Drive %2:                     *
echo *                                      *
echo * If this is incorrect, press CTRL+C   *
echo * to ABORT or                          *
echo ****************************************
pause
cls
echo ****************************************
echo * Updating MjrFIDO                     *
echo ****************************************
%2: > nul:
cd \fido > nul:
IF NOT EXIST HOSTNAME.TBL copy %1:HOSTNAME.TBL > nul:
IF EXIST FIDOHIGH.EXE del FIDOHIGH.EXE > nul:
copy %1:notice.!!! > nul:
copy %1:readme.312 > nul:
copy %1:readme.tic > nul:
copy %1:FIDOCLN.EXE > nul:
copy %1:TICKIMP.EXE > nul:
copy %1:MJRFIDO.CFG > nul:
copy %1:BLDUSR.EXE > nul:
copy %1:FIDOIMP.EXE > nul:
copy %1:BUSRT.EXE > nul:
copy %1:FIDOEXP.EXE > nul:
copy %1:README.* > nul:
if EXIST MHSIMP.EXE del MHSIMP.EXE > nul:
copy %1:SQ.ZIP > nul:
IF NOT EXIST ORIGIN.TAG copy %1:ORIGIN.TAG > nul:
IF NOT EXIST FIDORT.BAT copy %1:FIDORT.BAT > nul:
IF EXIST AREAS.MJR ren AREAS.RJM > nul:
IF NOT EXIST AREAS.MJR copy %1:AREAS.MJR > nul:
IF EXIST FIDOMAIL.BAT del fidomail.bat > nul:
IF EXIST FIDOCLN.EXE del fidocln.exe > nul:
cd \bbsv6 > nul:
IF EXIST FIDOMAIL.BAT ren FIDOMAIL.BAT FIDOMAIL.TAB > nul:
copy %1:FIDOMAIL.BAT > nul:
IF EXIST RTFIDO.BAT ren RTFIDO.BAT RTFIDO.TAB > nul:
copy %1:RTFIDO.BAT > nul:
IF NOT EXIST CVIFIDO.MDF copy %1:CVIFIDO.MDF > nul:
IF EXIST HOSTNAME.TBL copy %1:HOSTNAME.LBT > nul:
copy %1:HOSTNAME.TBL > nul:
copy %1:CVIMHS.EXE > nul:
copy %1:CVIKEY.* > nul:
copy %1:cvilock.exe > nul:
copy %1:CVIFIDO.DOC > nul:
cd \fido > nul:
echo ****************************************
echo * New Files Installed.                 *
echo ****************************************
echo ****************************************
echo * You should edit your FIDOMAIL.BAT    *
echo * File again change anything that      *
echo * reqires updating.  Also use the CNF  *
echo * and edit the CVIKEY directory        *
echo * entries. Your old FIDOMAIL.BAT file  *
echo * is now named: FIDOMAIL.TAB           *
echo *                                      *
echo * The FIDOMAIL.BAT file is now in the  *
echo * \BBSV6 directory.                    *
echo *                                      *
echo ****************************************
cd \ > nul:
